Bug 749895 - [abrt] bitlbee-3.0.3-5.fc15: PR_Close: signal 11 (SIGSEGV) [@ ssl-nss.c]
Summary: [abrt] bitlbee-3.0.3-5.fc15: PR_Close: signal 11 (SIGSEGV) [@ ssl-nss.c]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bitlbee
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:185a53490c386f0175c3ecc2ff7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-28 19:43 UTC by Adam Williamson
Modified: 2018-04-11 15:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:09:38 UTC
Type: ---


Attachments (Terms of Use)
suggested patch (1.80 KB, patch)
2012-06-21 21:39 UTC, Matěj Cepl
no flags Details | Diff

Description Adam Williamson 2011-10-28 19:43:25 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/sbin/bitlbee -D -n
comment:        
component:      bitlbee
crash_function: PR_Close
executable:     /usr/sbin/bitlbee
kernel:         2.6.40.4-5.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        bitlbee-3.0.3-5.fc15
reason:         Process /usr/sbin/bitlbee was killed by signal 11 (SIGSEGV)
time:           Fri Oct 28 12:37:06 2011
uid:            0
username:       root

backtrace:
:[New LWP 24783]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/sbin/bitlbee -D -n'.
:Program terminated with signal 11, Segmentation fault.
:#0  PR_Close (fd=0x0) at ../../../mozilla/nsprpub/pr/src/io/priometh.c:136
:136	    return (fd->methods->close)(fd);
:
:Thread 1 (Thread 0x7fc236066720 (LWP 24783)):
:#0  PR_Close (fd=0x0) at ../../../mozilla/nsprpub/pr/src/io/priometh.c:136
:No locals.
:#1  0x000000000042a371 in ssl_connected (data=0x8d4140, source=-1, cond=B_EV_IO_READ) at ssl_nss.c:187
:        conn = 0x8d4140
:#2  0x00000000004297c0 in gaim_io_connected (data=0x9e2550, source=11, cond=<optimized out>) at proxy.c:97
:        phb = 0x9e2550
:        len = 4
:        error = 110
:#3  0x0000000000424781 in gaim_io_invoke (source=<optimized out>, condition=<optimized out>, data=0x9845f0) at events_glib.c:85
:        closure = 0x9845f0
:        gaim_cond = 3
:        st = <optimized out>
:#4  0x00007fc2357767ed in g_main_dispatch (context=0x89f220) at gmain.c:2441
:        dispatch = 0x7fc2357b8ad0 <g_io_unix_dispatch>
:        was_in_call = 0
:        user_data = 0x9845f0
:        callback = 0x424740 <gaim_io_invoke>
:        cb_funcs = 0x7fc235a49c50
:        cb_data = 0x8ee7f0
:        current_source_link = {data = 0x9e23a0, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x9e23a0
:        current = 0x89ee50
:        i = <optimized out>
:#5  g_main_context_dispatch (context=0x89f220) at gmain.c:3014
:No locals.
:#6  0x00007fc235776fc8 in g_main_context_iterate (context=0x89f220, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = 36439
:        some_ready = 1
:        nfds = 10
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#7  0x00007fc23577760d in g_main_loop_run (loop=0x89f310) at gmain.c:3300
:        self = 0x8b97e0
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#8  0x000000000041066b in main (argc=<optimized out>, argv=0x7fffce31b778) at unix.c:177
:        i = <optimized out>
:        old_cwd = <optimized out>
:        sig = {__sigaction_handler = {sa_handler = 0x422e60 <sighandler>, sa_sigaction = 0x422e60 <sighandler>}, sa_mask = {__val = {0 <repeats 16 times>}}, sa_flags = -2147483648, sa_restorer = 0}
:        old = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, sa_mask = {__val = {0, 140472078164560, 9149200, 140736652752032, 140736652752760, 0, 140736652752752, 140472104687749, 0, 0, 140736652752192, 140736652752032, 17, 8391085934911696435, 7575168297150476897, 140472106836616}}, sa_flags = 0, sa_restorer = 0x7fea15e2eef0}
:From                To                  Syms Read   Shared Object Library
:0x00007fc235c53fe0  0x00007fc235c54f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x00007fc235a4d160  0x00007fc235a503ec  Yes         /lib64/librt-2.14.so
:0x00007fc23574acd0  0x00007fc2357e1bec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x00007fc235506bf0  0x00007fc235529b8c  Yes         /usr/lib64/libssl3.so
:0x00007fc2352dbea0  0x00007fc2352f4afc  Yes         /usr/lib64/libsmime3.so
:0x00007fc234fb26c0  0x00007fc23509485c  Yes         /usr/lib64/libnss3.so
:0x00007fc234d83540  0x00007fc234d8e7cc  Yes         /usr/lib64/libnssutil3.so
:0x00007fc234b78ec0  0x00007fc234b79ddc  Yes         /lib64/libplds4.so
:0x00007fc2349753e0  0x00007fc234976b6c  Yes         /lib64/libplc4.so
:0x00007fc234743f80  0x00007fc2347633cc  Yes         /lib64/libnspr4.so
:0x00007fc234521660  0x00007fc23452c3cc  Yes         /lib64/libpthread-2.14.so
:0x00007fc234318de0  0x00007fc23431991c  Yes         /lib64/libdl-2.14.so
:0x00007fc234100840  0x00007fc23411053c  Yes         /lib64/libresolv-2.14.so
:0x00007fc233eea8a0  0x00007fc233efa0b8  Yes         /lib64/libgcc_s-4.6.1-20110908.so.1
:0x00007fc233b6cce0  0x00007fc233c9138c  Yes         /lib64/libc-2.14.so
:0x00007fc235e56b20  0x00007fc235e6ecca  Yes         /lib64/ld-2.14.so
:0x00007fc233938e70  0x00007fc23394567c  Yes         /lib64/libz.so.1.2.5
:0x00007fc22d2da9f0  0x00007fc22d30663c  Yes         /usr/lib64/libsoftokn3.so
:0x00007fc22d0455b0  0x00007fc22d0b8f2c  Yes         /usr/lib64/libsqlite3.so.0.8.6
:0x00007fc22cdde170  0x00007fc22ce1c7bc  Yes         /lib64/libfreebl3.so
:0x00007fc22cbd0170  0x00007fc22cbd78ac  Yes         /lib64/libnss_files-2.14.so
:0x00007fc22c9c8010  0x00007fc22c9cc2dc  Yes         /lib64/libnss_dns-2.14.so
:$1 = 0x0
:$2 = 0x0
:rax            0x0	0
:rbx            0x8d4140	9257280
:rcx            0x7fc233ee3210	140472071631376
:rdx            0x9e2490	10364048
:rsi            0x5	5
:rdi            0x0	0
:rbp            0xffffffff	0xffffffff
:rsp            0x7fffce31b2c8	0x7fffce31b2c8
:r8             0x7469727720656c69	8388361636924451945
:r9             0x5054544820676e69	5788344089835957865
:r10            0x1	1
:r11            0x0	0
:r12            0x1	1
:r13            0x89ee50	9039440
:r14            0x7fc235a49c50	140472100363344
:r15            0x89f220	9040416
:rip            0x7fc2347457d0	0x7fc2347457d0 <PR_Close>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function PR_Close:
:=> 0x00007fc2347457d0 <+0>:	mov    (%rdi),%rax
:   0x00007fc2347457d3 <+3>:	mov    0x8(%rax),%rax
:   0x00007fc2347457d7 <+7>:	jmpq   *%rax
:End of assembler dump.

dso_list:
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc15.x86_64 (Fedora Project) 1307028586
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.5-3.fc15.x86_64 (Fedora Project) 1307028601
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309169915
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307789591
:/usr/lib64/libssl3.so nss-3.12.10-6.fc15.x86_64 (Fedora Project) 1315564188
:/lib64/libnspr4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1307028586
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/usr/lib64/libnss3.so nss-3.12.10-6.fc15.x86_64 (Fedora Project) 1315564188
:/usr/sbin/bitlbee bitlbee-3.0.3-5.fc15.x86_64 (Fedora Project) 1313232444
:/usr/lib64/libsmime3.so nss-3.12.10-6.fc15.x86_64 (Fedora Project) 1315564188
:/lib64/libplds4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1307028586
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/lib64/libgcc_s-4.6.1-20110908.so.1 libgcc-4.6.1-9.fc15.x86_64 (Fedora Project) 1317292810
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307789591
:/lib64/libplc4.so nspr-4.8.8-1.fc15.x86_64 (Fedora Project) 1307028586
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1307028578
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1312972509
:/lib64/libnss_dns-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312972484
:/usr/lib64/libsoftokn3.so nss-softokn-3.12.10-2.fc15.x86_64 (Fedora Project) 1309169917
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1312972484

environ:
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
:LANG=en_US.UTF-8

maps:
:00400000-00492000 r-xp 00000000 fc:03 141692                             /usr/sbin/bitlbee
:00691000-00693000 rw-p 00091000 fc:03 141692                             /usr/sbin/bitlbee
:00693000-00694000 rw-p 00000000 00:00 0 
:0089d000-009f2000 rw-p 00000000 00:00 0                                  [heap]
:7fc22c9c7000-7fc22c9cd000 r-xp 00000000 fc:03 136106                     /lib64/libnss_dns-2.14.so
:7fc22c9cd000-7fc22cbcc000 ---p 00006000 fc:03 136106                     /lib64/libnss_dns-2.14.so
:7fc22cbcc000-7fc22cbcd000 r--p 00005000 fc:03 136106                     /lib64/libnss_dns-2.14.so
:7fc22cbcd000-7fc22cbce000 rw-p 00006000 fc:03 136106                     /lib64/libnss_dns-2.14.so
:7fc22cbce000-7fc22cbda000 r-xp 00000000 fc:03 136110                     /lib64/libnss_files-2.14.so
:7fc22cbda000-7fc22cdd9000 ---p 0000c000 fc:03 136110                     /lib64/libnss_files-2.14.so
:7fc22cdd9000-7fc22cdda000 r--p 0000b000 fc:03 136110                     /lib64/libnss_files-2.14.so
:7fc22cdda000-7fc22cddb000 rw-p 0000c000 fc:03 136110                     /lib64/libnss_files-2.14.so
:7fc22cddb000-7fc22ce37000 r-xp 00000000 fc:03 132993                     /lib64/libfreebl3.so
:7fc22ce37000-7fc22d036000 ---p 0005c000 fc:03 132993                     /lib64/libfreebl3.so
:7fc22d036000-7fc22d038000 rw-p 0005b000 fc:03 132993                     /lib64/libfreebl3.so
:7fc22d038000-7fc22d03c000 rw-p 00000000 00:00 0 
:7fc22d03c000-7fc22d0d2000 r-xp 00000000 fc:03 134326                     /usr/lib64/libsqlite3.so.0.8.6
:7fc22d0d2000-7fc22d2d2000 ---p 00096000 fc:03 134326                     /usr/lib64/libsqlite3.so.0.8.6
:7fc22d2d2000-7fc22d2d6000 rw-p 00096000 fc:03 134326                     /usr/lib64/libsqlite3.so.0.8.6
:7fc22d2d6000-7fc22d313000 r-xp 00000000 fc:03 135044                     /usr/lib64/libsoftokn3.so
:7fc22d313000-7fc22d513000 ---p 0003d000 fc:03 135044                     /usr/lib64/libsoftokn3.so
:7fc22d513000-7fc22d515000 rw-p 0003d000 fc:03 135044                     /usr/lib64/libsoftokn3.so
:7fc22d515000-7fc233937000 r--p 00000000 fc:03 142545                     /usr/lib/locale/locale-archive
:7fc233937000-7fc23394d000 r-xp 00000000 fc:03 133893                     /lib64/libz.so.1.2.5
:7fc23394d000-7fc233b4d000 ---p 00016000 fc:03 133893                     /lib64/libz.so.1.2.5
:7fc233b4d000-7fc233b4e000 rw-p 00016000 fc:03 133893                     /lib64/libz.so.1.2.5
:7fc233b4e000-7fc233cdd000 r-xp 00000000 fc:03 133561                     /lib64/libc-2.14.so
:7fc233cdd000-7fc233edd000 ---p 0018f000 fc:03 133561                     /lib64/libc-2.14.so
:7fc233edd000-7fc233ee1000 r--p 0018f000 fc:03 133561                     /lib64/libc-2.14.so
:7fc233ee1000-7fc233ee2000 rw-p 00193000 fc:03 133561                     /lib64/libc-2.14.so
:7fc233ee2000-7fc233ee8000 rw-p 00000000 00:00 0 
:7fc233ee8000-7fc233efd000 r-xp 00000000 fc:03 132994                     /lib64/libgcc_s-4.6.1-20110908.so.1
:7fc233efd000-7fc2340fc000 ---p 00015000 fc:03 132994                     /lib64/libgcc_s-4.6.1-20110908.so.1
:7fc2340fc000-7fc2340fd000 rw-p 00014000 fc:03 132994                     /lib64/libgcc_s-4.6.1-20110908.so.1
:7fc2340fd000-7fc234114000 r-xp 00000000 fc:03 139752                     /lib64/libresolv-2.14.so
:7fc234114000-7fc234314000 ---p 00017000 fc:03 139752                     /lib64/libresolv-2.14.so
:7fc234314000-7fc234315000 r--p 00017000 fc:03 139752                     /lib64/libresolv-2.14.so
:7fc234315000-7fc234316000 rw-p 00018000 fc:03 139752                     /lib64/libresolv-2.14.so
:7fc234316000-7fc234318000 rw-p 00000000 00:00 0 
:7fc234318000-7fc23431a000 r-xp 00000000 fc:03 134515                     /lib64/libdl-2.14.so
:7fc23431a000-7fc23451a000 ---p 00002000 fc:03 134515                     /lib64/libdl-2.14.so
:7fc23451a000-7fc23451b000 r--p 00002000 fc:03 134515                     /lib64/libdl-2.14.so
:7fc23451b000-7fc23451c000 rw-p 00003000 fc:03 134515                     /lib64/libdl-2.14.so
:7fc23451c000-7fc234532000 r-xp 00000000 fc:03 139691                     /lib64/libpthread-2.14.so
:7fc234532000-7fc234731000 ---p 00016000 fc:03 139691                     /lib64/libpthread-2.14.so
:7fc234731000-7fc234732000 r--p 00015000 fc:03 139691                     /lib64/libpthread-2.14.so
:7fc234732000-7fc234733000 rw-p 00016000 fc:03 139691                     /lib64/libpthread-2.14.so
:7fc234733000-7fc234737000 rw-p 00000000 00:00 0 
:7fc234737000-7fc23476f000 r-xp 00000000 fc:03 134025                     /lib64/libnspr4.so
:7fc23476f000-7fc23496f000 ---p 00038000 fc:03 134025                     /lib64/libnspr4.so
:7fc23496f000-7fc234971000 rw-p 00038000 fc:03 134025                     /lib64/libnspr4.so
:7fc234971000-7fc234974000 rw-p 00000000 00:00 0 
:7fc234974000-7fc234978000 r-xp 00000000 fc:03 134026                     /lib64/libplc4.so
:7fc234978000-7fc234b77000 ---p 00004000 fc:03 134026                     /lib64/libplc4.so
:7fc234b77000-7fc234b78000 rw-p 00003000 fc:03 134026                     /lib64/libplc4.so
:7fc234b78000-7fc234b7b000 r-xp 00000000 fc:03 134027                     /lib64/libplds4.so
:7fc234b7b000-7fc234d7a000 ---p 00003000 fc:03 134027                     /lib64/libplds4.so
:7fc234d7a000-7fc234d7b000 rw-p 00002000 fc:03 134027                     /lib64/libplds4.so
:7fc234d7b000-7fc234d95000 r-xp 00000000 fc:03 134028                     /usr/lib64/libnssutil3.so
:7fc234d95000-7fc234f94000 ---p 0001a000 fc:03 134028                     /usr/lib64/libnssutil3.so
:7fc234f94000-7fc234f99000 rw-p 00019000 fc:03 134028                     /usr/lib64/libnssutil3.so
:7fc234f99000-7fc234f9a000 rw-p 00000000 00:00 0 
:7fc234f9a000-7fc2350cb000 r-xp 00000000 fc:03 138943                     /usr/lib64/libnss3.so
:7fc2350cb000-7fc2352ca000 ---p 00131000 fc:03 138943                     /usr/lib64/libnss3.so
:7fc2352ca000-7fc2352d1000 rw-p 00130000 fc:03 138943                     /usr/lib64/libnss3.so
:7fc2352d1000-7fc2352d2000 rw-p 00000000 00:00 0 
:7fc2352d2000-7fc2352fb000 r-xp 00000000 fc:03 141497                     /usr/lib64/libsmime3.so
:7fc2352fb000-7fc2354fb000 ---p 00029000 fc:03 141497                     /usr/lib64/libsmime3.so
:7fc2354fb000-7fc2354ff000 rw-p 00029000 fc:03 141497                     /usr/lib64/libsmime3.so
:7fc2354ff000-7fc235532000 r-xp 00000000 fc:03 141498                     /usr/lib64/libssl3.so
:7fc235532000-7fc235731000 ---p 00033000 fc:03 141498                     /usr/lib64/libssl3.so
:7fc235731000-7fc235734000 rw-p 00032000 fc:03 141498                     /usr/lib64/libssl3.so
:7fc235734000-7fc235849000 r-xp 00000000 fc:03 134612                     /lib64/libglib-2.0.so.0.2800.8
:7fc235849000-7fc235a49000 ---p 00115000 fc:03 134612                     /lib64/libglib-2.0.so.0.2800.8
:7fc235a49000-7fc235a4a000 rw-p 00115000 fc:03 134612                     /lib64/libglib-2.0.so.0.2800.8
:7fc235a4a000-7fc235a4b000 rw-p 00000000 00:00 0 
:7fc235a4b000-7fc235a52000 r-xp 00000000 fc:03 140484                     /lib64/librt-2.14.so
:7fc235a52000-7fc235c51000 ---p 00007000 fc:03 140484                     /lib64/librt-2.14.so
:7fc235c51000-7fc235c52000 r--p 00006000 fc:03 140484                     /lib64/librt-2.14.so
:7fc235c52000-7fc235c53000 rw-p 00007000 fc:03 140484                     /lib64/librt-2.14.so
:7fc235c53000-7fc235c56000 r-xp 00000000 fc:03 134614                     /lib64/libgmodule-2.0.so.0.2800.8
:7fc235c56000-7fc235e55000 ---p 00003000 fc:03 134614                     /lib64/libgmodule-2.0.so.0.2800.8
:7fc235e55000-7fc235e56000 rw-p 00002000 fc:03 134614                     /lib64/libgmodule-2.0.so.0.2800.8
:7fc235e56000-7fc235e75000 r-xp 00000000 fc:03 133593                     /lib64/ld-2.14.so
:7fc23605f000-7fc236066000 r--s 00000000 fc:03 142521                     /usr/lib64/gconv/gconv-modules.cache
:7fc236066000-7fc236070000 rw-p 00000000 00:00 0 
:7fc236074000-7fc236075000 r--p 0001e000 fc:03 133593                     /lib64/ld-2.14.so
:7fc236075000-7fc236076000 rw-p 0001f000 fc:03 133593                     /lib64/ld-2.14.so
:7fc236076000-7fc236077000 rw-p 00000000 00:00 0 
:7fffce2fc000-7fffce31d000 rw-p 00000000 00:00 0                          [stack]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Oct 28 10:55:16 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 10:55:16 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 10:55:16 ircproxy bitlbee[24488]: BitlBee is running with root privileges. Why?
:Oct 28 10:55:44 ircproxy bitlbee[24488]: Fatal signal received: 11. That's probably a bug.
:Oct 28 10:55:44 ircproxy abrt[24496]: saved core dump of pid 24488 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-10:55:44-24488.new/coredump (1155072 bytes)
:Oct 28 10:55:44 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 10:55:44 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 10:55:44 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 10:55:44 ircproxy bitlbee[24508]: BitlBee is running with root privileges. Why?
:Oct 28 11:08:21 ircproxy bitlbee[24508]: Fatal signal received: 11. That's probably a bug.
:Oct 28 11:08:21 ircproxy abrt[24528]: saved core dump of pid 24508 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-11:08:21-24508.new/coredump (1978368 bytes)
:Oct 28 11:08:21 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 11:08:21 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 11:08:21 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 11:08:21 ircproxy bitlbee[24540]: BitlBee is running with root privileges. Why?
:Oct 28 11:14:01 ircproxy bitlbee[24540]: Fatal signal received: 11. That's probably a bug.
:Oct 28 11:14:01 ircproxy abrt[24548]: saved core dump of pid 24540 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-11:14:01-24540.new/coredump (1970176 bytes)
:Oct 28 11:14:01 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 11:14:01 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 11:14:01 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 11:14:01 ircproxy bitlbee[24560]: BitlBee is running with root privileges. Why?
:Oct 28 11:42:54 ircproxy bitlbee[24560]: Fatal signal received: 11. That's probably a bug.
:Oct 28 11:42:54 ircproxy abrt[24590]: saved core dump of pid 24560 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-11:42:54-24560.new/coredump (1978368 bytes)
:Oct 28 11:42:54 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 11:42:54 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 11:42:54 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 11:42:54 ircproxy bitlbee[24602]: BitlBee is running with root privileges. Why?
:Oct 28 12:01:36 ircproxy bitlbee[24602]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:01:36 ircproxy abrt[24621]: saved core dump of pid 24602 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:01:36-24602.new/coredump (1978368 bytes)
:Oct 28 12:01:36 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:01:36 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:01:36 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:01:36 ircproxy bitlbee[24633]: BitlBee is running with root privileges. Why?
:Oct 28 12:02:19 ircproxy bitlbee[24633]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:02:19 ircproxy abrt[24641]: saved core dump of pid 24633 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:02:19-24633.new/coredump (1155072 bytes)
:Oct 28 12:02:19 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:02:19 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:02:19 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:02:19 ircproxy bitlbee[24653]: BitlBee is running with root privileges. Why?
:Oct 28 12:03:04 ircproxy bitlbee[24653]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:03:04 ircproxy abrt[24661]: saved core dump of pid 24653 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:03:04-24653.new/coredump (1155072 bytes)
:Oct 28 12:03:04 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:03:05 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:03:05 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:03:05 ircproxy bitlbee[24673]: BitlBee is running with root privileges. Why?
:Oct 28 12:06:14 ircproxy bitlbee[24673]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:06:15 ircproxy abrt[24681]: saved core dump of pid 24673 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:06:14-24673.new/coredump (1974272 bytes)
:Oct 28 12:06:15 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:06:15 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:06:15 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:06:15 ircproxy bitlbee[24693]: BitlBee is running with root privileges. Why?
:Oct 28 12:18:46 ircproxy bitlbee[24693]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:18:46 ircproxy abrt[24702]: saved core dump of pid 24693 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:18:46-24693.new/coredump (1978368 bytes)
:Oct 28 12:18:46 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:18:46 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:18:46 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:18:46 ircproxy bitlbee[24714]: BitlBee is running with root privileges. Why?
:Oct 28 12:23:24 ircproxy bitlbee[24714]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:23:24 ircproxy abrt[24722]: saved core dump of pid 24714 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:23:24-24714.new/coredump (1978368 bytes)
:Oct 28 12:23:24 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:23:24 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:23:24 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:23:24 ircproxy bitlbee[24734]: BitlBee is running with root privileges. Why?
:Oct 28 12:23:25 ircproxy bitlbee[24734]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:23:25 ircproxy abrt[24742]: not dumping repeating crash in '/usr/sbin/bitlbee'
:Oct 28 12:23:25 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:23:25 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:23:25 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:23:25 ircproxy bitlbee[24744]: BitlBee is running with root privileges. Why?
:Oct 28 12:29:43 ircproxy bitlbee[24744]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:29:43 ircproxy abrt[24745]: saved core dump of pid 24744 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:29:43-24744.new/coredump (2043904 bytes)
:Oct 28 12:29:43 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:29:43 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:29:43 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:29:43 ircproxy bitlbee[24757]: BitlBee is running with root privileges. Why?
:Oct 28 12:29:44 ircproxy bitlbee[24757]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:29:44 ircproxy abrt[24765]: not dumping repeating crash in '/usr/sbin/bitlbee'
:Oct 28 12:29:44 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:29:44 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:29:44 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:29:44 ircproxy bitlbee[24767]: BitlBee is running with root privileges. Why?
:Oct 28 12:29:45 ircproxy bitlbee[24767]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:29:45 ircproxy abrt[24768]: not dumping repeating crash in '/usr/sbin/bitlbee'
:Oct 28 12:29:45 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:29:45 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:29:45 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:29:45 ircproxy bitlbee[24770]: BitlBee is running with root privileges. Why?
:Oct 28 12:32:55 ircproxy bitlbee[24770]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:32:55 ircproxy abrt[24771]: saved core dump of pid 24770 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:32:55-24770.new/coredump (2043904 bytes)
:Oct 28 12:32:55 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:32:55 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:32:56 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:32:56 ircproxy bitlbee[24783]: BitlBee is running with root privileges. Why?
:Oct 28 12:37:06 ircproxy bitlbee[24783]: Fatal signal received: 11. That's probably a bug.
:Oct 28 12:37:06 ircproxy abrt[25005]: saved core dump of pid 24783 (/usr/sbin/bitlbee) to /var/spool/abrt/ccpp-2011-10-28-12:37:06-24783.new/coredump (1998848 bytes)
:Oct 28 12:37:06 ircproxy systemd[1]: bitlbee.service: main process exited, code=dumped, status=11
:Oct 28 12:37:06 ircproxy systemd[1]: bitlbee.service holdoff time over, scheduling restart.
:Oct 28 12:37:06 ircproxy systemd[1]: Unit bitlbee.service entered failed state.
:Oct 28 12:37:06 ircproxy bitlbee[25017]: BitlBee is running with root privileges. Why?

Comment 1 Adam Williamson 2011-10-28 19:44:16 UTC
this crash is happening over and over for me, it's pretty frustrating.

Comment 2 Adam Williamson 2011-10-28 19:50:38 UTC
Might be upstream http://bugs.bitlbee.org/bitlbee/ticket/790 ?

Comment 3 Adam Williamson 2011-10-28 21:44:30 UTC
upstream thinks this is likely due to use using nss rather than gnutls, they recommend gnutls is better. I'll try rebuilding with gnutls soonish.

Comment 4 Matěj Cepl 2011-10-28 21:59:20 UTC
Elio, do you see what I do wrong here?
http://code.bitlbee.org/lh/bitlbee/annotate/head:/lib/ssl_nss.c

Thank you

Comment 5 Elio Maldonado Batiz 2011-10-31 16:57:11 UTC
Nothing strikes me as wrong. Let add other folks wiser than me on ssl matters.

Comment 6 Bob Relyea 2011-10-31 22:02:22 UTC
Ah, the problem is quite obvious. The bitlbee NSS wrapper code does very little error checking. In ssl_connected, it doesn't check to see if the PR_Import succeeded, for instance. But the immediate source of the crash is available from the stack traceback:

:#0  PR_Close (fd=0x0) at ../../../mozilla/nsprpub/pr/src/io/priometh.c:136
:136     return (fd->methods->close)(fd);
:
:Thread 1 (Thread 0x7fc236066720 (LWP 24783)):
:#0  PR_Close (fd=0x0) at ../../../mozilla/nsprpub/pr/src/io/priometh.c:136
:No locals.
:#1  0x000000000042a371 in ssl_connected (data=0x8d4140, source=-1,
cond=B_EV_IO_READ) at ssl_nss.c:187

Clearly calling PR_Close with a NULL pointer is wrong. An inspection of ssl_connected shows the obvious problem. At line 160 we fail the function if source is -1 (which we can see it is from the stack traceback). We then proceed to try to close the NSPR file descriptor, but we only set the file descriptor at line 166, which, of course, we skipped.

The fix for the immediate problem is to verify that the file descriptor is not null before calling PR_Close (just like the equivalent check for the socket descriptor in the line below).

Whether or not a similiar check is needed in ssl_disconnect() depends on whether or not you need to call ssl_connected() before you can call ssl_disconnect, but prudence would suggest placing that protection.

ssl_connect should be reviewed as well. Just looking at the code I see the following issues:

1) PR_ImportFD is not checked for failure. I suspect that it can only fail on an out of memory situation, but I don't think the code should rely on that (note, I see no out of memory checks in this code).

2) ssl_connect returns FALSE whether or not it succeeds. Clearly that's wrong (though it's not clear if it should return TRUE or FALSE on success, I suspect the latter, if only because the code would not work at all if not. Once you fixe the PR_Close issue, you are likely to run into this one, as on failure it clearly clobbers the connection structure, which will likely do Bad Things(TM) when the next level of the application tries to use it.

bob

Comment 7 Matěj Cepl 2012-06-21 21:39:05 UTC
Created attachment 593599 [details]
suggested patch

After a lot of research I have just applied just your suggested changes.

According to the upstream maintainer, ssl_connected should always return FALSE.

Comment 8 Matěj Cepl 2012-06-21 21:41:08 UTC
Whole file in the latest form is available on https://gitorious.org/bitlbee/bitlbee/blobs/nss/lib/ssl_nss.c

Please comment on the patch, please.

Comment 9 Bob Relyea 2012-06-22 01:14:38 UTC
that patch looks good to me Matej.

bob

Comment 10 Fedora End Of Life 2012-08-07 18:09:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.